#! /bin/sh

# Android 4tH - Installation - Copyright 2012,2013 J.L. Bezemer
# You can redistribute this file and/or modify it under
# the terms of the GNU General Public License
# set -x
# check working directory

INSTALLDIR=`pwd`

case "$INSTALLDIR" in
    /sdcard/Download) ;;
    /sdcard/download) ;;
    /mnt/sdcard/Download) ;;
    /mnt/sdcard/download) ;;
    /storage/sdcard0/Download) ;;
    /storage/sdcard0/download) ;;
    /sdcard0/Download) ;;
    /sdcard0/download) ;;
    /mnt/sdcard0/Download) ;;
    /mnt/sdcard0/download) ;;
    *) echo "(ERROR) Invalid working directory, aborting.."
       exit 1
       ;;
esac

# check files, installation directory and install

if [ -f 4th ]; then
   if [ -f 4tsh ]; then
      if [ -f pp4th ]; then
         echo "(INFO ) Installing Android 4tH.."
         if [ -d /data/data/jackpal.androidterm/app_HOME ]; then
            cd /data/data/jackpal.androidterm/app_HOME
            cat ${INSTALLDIR}/4th > 4th
            chmod 755 4th
            cat ${INSTALLDIR}/4tsh > 4tsh
            chmod 755 4tsh
            cat ${INSTALLDIR}/pp4th > pp4th
            chmod 755 pp4th
            echo "(INFO ) Android 4tH installed.."
            exit 0
         else
            echo "(ERROR) Android Terminal Emulator not found, aborting.."
            exit 1
         fi
      else
         echo "(ERROR) 'pp4th' not found, aborting.."
         exit 1
      fi
   else
      echo "(ERROR) '4tsh' not found, aborting.."
      exit 1
   fi
else
   echo "(ERROR) '4th' not found, aborting.."
   exit 1
fi


